Name:          python-packaging
Version:       21.3
Release:       2mamba
Summary:       Core utilities for Python packages
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/packaging/
Source:        https://pypi.debian.net/packaging/packaging-%{version}.tar.gz
License:       BSD, Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: (python3.7dist(pyparsing) < 3.0.5 or python3.7dist(pyparsing) > 3.0.5)
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(pyparsing)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n packaging-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/packaging-%{version}-py*.egg-info
%{python_sitearch}/packaging-%{version}-py*.egg-info/*

%doc LICENSE

%changelog
* Sun Apr 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 21.3-2mamba
- rebuilt with python 3.10

* Thu Nov 18 2021 Automatic Build System <autodist@mambasoft.it> 21.3-1mamba
- automatic version update by autodist

* Fri Oct 29 2021 Automatic Build System <autodist@mambasoft.it> 21.2-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 21.0-1mamba
- automatic version update by autodist

* Wed Mar 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20.9-2mamba
- rebuilt with distdeps

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 20.9-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 20.8-1mamba
- automatic version update by autodist

* Wed May 20 2020 Automatic Build System <autodist@mambasoft.it> 20.4-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 20.3-1mamba
- automatic version update by autodist

* Fri Mar 06 2020 Automatic Build System <autodist@mambasoft.it> 20.2-1mamba
- automatic version update by autodist

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 20.1-1mamba
- automatic version update by autodist

* Tue Jan 14 2020 Automatic Build System <autodist@mambasoft.it> 20.0-1mamba
- automatic version update by autodist

* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 19.2-1mamba
- automatic version update by autodist

* Sat Aug 10 2019 Automatic Build System <autodist@mambasoft.it> 19.1-1mamba
- automatic version update by autodist

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 19.0-2mamba
- rebuilt with py36 support

* Tue Jan 29 2019 Automatic Build System <autodist@mambasoft.it> 19.0-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 18.0-1mamba
- automatic version update by autodist

* Wed May 09 2018 Automatic Build System <autodist@mambasoft.it> 17.1-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 16.8-1mamba
- package created using the webbuild interface
